#include <SPI.h>
#include <DW1000.h>

/* RECEIVER */

int ss = 53;
int rstpin = 9;

int iter = 0;
long temp;

DW1000 dw = DW1000(ss, rstpin);

void setup() {
  Serial.begin(9600);
  dw.initialise();
  randomSeed(analogRead(0));
  
  dw.writePANAddress();
  Serial.print("PAN address: "); dw.printAnythingln(0x03, 0, 0, 4);
  Serial.println("Initialisation complete!");
}

void loop() {
  Serial.println(); Serial.print("------------------ #"); Serial.println(iter);
  // start reception
  dw.startRx();
  
  // print rx buffer
  Serial.println();
  Serial.print("rx buffer: "); dw.printAnythingln(0x11, 0, 0, 4);
  
  // print rx status
  Serial.println();
  Serial.print("rx status: ");
  dw.printAnything(0x0F, 1, 4, 1); Serial.print("-"); dw.printAnythingln(0x0F, 0, 0, 4);
  
  Serial.println();
  Serial.print("rx time: ");
  dw.printAnything(0x15, 1, 4, 1); Serial.print("-"); dw.printAnythingln(0x15, 0, 0, 4);
  
  // clear reception bits
  dw.clearSystemStatus(SYS_MASK_MRXPRD);
  dw.clearSystemStatus(SYS_MASK_MRXSFDD);
  dw.clearSystemStatus(SYS_MASK_MLDEDONE);
  dw.clearSystemStatus(SYS_MASK_MRXPHD);
  dw.clearSystemStatus(SYS_MASK_MRXDFR);
  
  delay(2000);
  iter++;
}
